# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils

DESCRIPTION="Demos Commander"
HOMEPAGE="http://deco.sourceforge.net"
SRC_URI="ftp://update:4update@portage.ituner.com/distribution-sdk/distfiles/app-misc/deco/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 mips ppc ppc64 s390 sparc x86"
IUSE="ncurses"

PROVIDE="virtual/editor"

RDEPEND="ncurses? ( >=sys-libs/ncurses-5.2-r5 )"

DEPEND="${RDEPEND}
	dev-util/pkgconfig"

src_unpack() {
	unpack ${P}.tar.gz
	cd ${S}

}

src_compile() {

	local myconf=""

	econf ${myconf} || die

	emake || die
}

src_install() {
	einstall || die
}
