# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils

DESCRIPTION="ntpclient small footprint network time protocol client"
HOMEPAGE="http://www.mini-box.com"
SRC_URI="ftp://update:4update@portage.ituner.com/distribution-sdk/distfiles/net-misc/ntpclient/${P}.tgz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 mips ppc ppc64 s390 sparc x86"
IUSE=""

PROVIDE=""

RDEPEND=""

src_unpack() {
	unpack ${P}.tgz
	cd ${S}

}

src_compile() {

	local myconf=""

	emake || die
}

src_install() {
	dodir /usr/sbin
	exeinto /usr/sbin
	doexe ${S}/ntpclient
	
	dodir /etc/cron.daily
	insinto /etc/cron.daily
	newins ${FILESDIR}/ntpclient-cron ntpclient
	
}
