# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils

DESCRIPTION="parprouted is a daemon for transparent IP (Layer 3) proxy ARP bridging"
HOMEPAGE="http://freshmeat.net/projects/parprouted/"
SRC_URI="http://www.hazard.maks.net/parprouted/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 mips ppc ppc64 s390 sparc x86"
IUSE=""

PROVIDE=""

RDEPEND=""

src_unpack() {
    unpack ${P}.tar.gz
    cd ${S}
}

src_compile() {
    local myconf=""
    emake || die
}

src_install() {
    dodir /usr/sbin
    exeinto /usr/sbin
    doexe ${S}/parprouted
			
    doman parprouted.8
}
	