# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit subversion

DESCRIPTION="OpenChrome driver for VIA/S3G cards"
HOMEPAGE="http://www.openchrome.org"

ESVN_REPO_URI="http://svn.openchrome.org/svn/trunk"
ESVN_PROJECT="openchrome-svn"
ESVN_BOOTSTRAP="NOCONFIGURE=1 ./autogen.sh"


LICENSE="GPL"
SLOT="0"
KEYWORDS="~x86"
IUSE=""

DEPEND="x11-base/xorg-server"
RDEPEND=""

src_install() {
	emake DESTDIR="${D}" install || die "Install failed"
}
