# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/x11-apps/amlc/amlc-0.5.1.ebuild,v 1.1 2007/02/04 10:22:27 drac Exp $

inherit toolchain-funcs

DESCRIPTION="Simple touchscreen calibrator for 2.6 kernel event interface"
SRC_URI="http://www.timekiller.org/carpc/files/calibrator.c"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86"
IUSE=""
S=${WORKDIR}
RDEPEND="x11-libs/libX11"

src_unpack() {
	cp "${DISTDIR}"/calibrator.c "${S}"
}

src_compile() {
	gcc ${CXXFLAGS} -lX11 ${LDFLAGS} "${S}"/calibrator.c -o calibrator || die "compile failed"
}

src_install() {
	dobin calibrator || die "install failed"
}
