# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/x11-misc/fbpanel/fbpanel-4.3.ebuild,v 1.5 2005/09/25 15:50:32 ka0ttic Exp $

inherit toolchain-funcs

DESCRIPTION="GPutty is a ssh client frontend"
SRC_URI="http://people.defora.org/~khorben/projects/gputty/${P}.tar.gz"
HOMEPAGE="http://people.defora.org/~khorben/projects/gputty/"

LICENSE="as-is"
SLOT="0"
KEYWORDS="alpha ~amd64 ppc x86"
IUSE=""

DEPEND=">=x11-libs/gtk+-2"
RDEPEND=">=x11-libs/gtk+-2"

src_unpack() {
	unpack ${A}
	cd ${S}
	sed -i -e  's/\/usr\/local/\/usr/g' Makefile
}

src_compile() {
	# econf not happy here
	emake || die "Make failed."
}

src_install () {
    mkdir -p ${D}/usr/bin	
    install -m 755 src/gputty ${D}/usr/bin/ || die
}
