inherit cvs

DESCRIPTION="Yaku-ns (formerly ENS) is a small footprint, trivial to configure, DNS server"
SRC_URI=""
HOMEPAGE="http://www.kyuzz.org/antirez/ens.html"

LICENSE="GPL-2"
KEYWORDS="x86"

DEPEND=""

SRC_PREFIX=${WORKDIR}/${ECVS_MODULE}

src_unpack() {
    ECVS_SERVER="offline"
    ECVS_SERVER="hping2.cvs.sourceforge.net:/cvsroot/hping2"
    ECVS_USER="anonymous"
    ECVS_PASS=""
    ECVS_AUTH="pserver"
    ECVS_MODULE="yaku-ns"
    ECVS_TOP_DIR="${DISTDIR}/cvs-src/${ECVS_MODULE}"
    cvs_src_unpack
}

src_compile() {

    cd ${SRC_PREFIX}
    emake || die
    
}

src_install() {
    
    dodir /usr/bin
    exeinto /usr/bin
    doexe ${SRC_PREFIX}/getzone
    newexe ${SRC_PREFIX}/yaku-ns dnsd
    
    dodir /etc
    insinto /etc
    newins ${SRC_PREFIX}/Documentation/yaku-ns.conf.example dnsd.conf
    
    dodir /etc/rcS.d
    exeinto /etc/rcS.d
    doexe ${FILESDIR}/scripts/M30-dnsd
    
}